Subject: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down

From: Ken Brown <[email-masked]>
Date: Fri, 13 May 2016 14:05:22 -0400

On 5/13/2016 1:46 PM, Eli Zaretskii wrote:
>> From: "Strozzi, David J." <[email-masked]>
>> CC: "[email-masked]" <[email-masked]>
>> Date: Fri, 13 May 2016 16:22:43 +0000
>>
>> Thanks for addressing this!  The usual behavior of windows programs on restart or shutdown is to ask the user to save unsaved files, rather than saving them silently.  The current patch to save automatically is better than losing data, but prompting the user I think would be the best thing.  Or even having emacs abort the shutdown and give a message like "emacs cancelled shutdown due to unsaved files."
>
> The patch doesn't save files automatically, it performs "auto-save",
> which saves the modified buffers into separate files, from which you
> can restore afterwards.
>
> FWIW, I don't see why asking the user would be better.

Agreed.  I would just add that the next time you try to edit one of the 
affected files, Emacs will warn you that there's an auto-save file and 
will suggest that you consider running M-x recover-this-file.

Ken